package com.ruoyi.buyerapi.service;

import java.math.BigDecimal;
import java.util.List;
import com.ruoyi.buyerapi.domain.BuyerGoods;

/**
 * 商品管理Service接口
 * 
 * @author ruoyi
 * @date 2022-09-19
 */
public interface IBuyerGoodsService 
{
    /**
     * 查询商品管理
     * 
     * @param id 商品管理主键
     * @return 商品管理
     */
    public BuyerGoods selectBuyerGoodsById(String id);

    /**
     * 查询商品管理列表
     * 
     * @param buyerGoods 商品管理
     * @return 商品管理集合
     */
    public List<BuyerGoods> selectBuyerGoodsList(BuyerGoods buyerGoods);

    /**
     * 查询商品销售额
     *
     * @return 商品销售额
     */
    public BigDecimal selectMoneyBuyerGoods();

    /**
     * 新增商品管理
     * 
     * @param buyerGoods 商品管理
     * @return 结果
     */
    public int insertBuyerGoods(BuyerGoods buyerGoods);

    /**
     * 修改商品管理
     * 
     * @param buyerGoods 商品管理
     * @return 结果
     */
    public int updateBuyerGoods(BuyerGoods buyerGoods);

    /**
     * 批量删除商品管理
     * 
     * @param ids 需要删除的商品管理主键集合
     * @return 结果
     */
    public int deleteBuyerGoodsByIds(String[] ids);

    /**
     * 删除商品管理信息
     * 
     * @param id 商品管理主键
     * @return 结果
     */
    public int deleteBuyerGoodsById(String id);
}
